#!/bin/sh
#

EXT=xtables-addons-$(uname -r)
TCZ=/tmp/$EXT/TCZ

sudo rm -rf /tmp/$EXT

for a in compiletc bash bc netfilter-KERNEL iptables iptables-dev tcl squashfs-tools
	do tce-load -i $a
done

sudo ln -s /mnt/sda1/lamp/kernel/linux-4.2.9 /lib/modules/4.2.9-tinycore64/build

make clean
./configure \
	|| exit

make || exit

make install DESTDIR=$TCZ

gzip $TCZ/lib/modules/4.2.9-tinycore64/extra/*.ko
depmod -b $TCZ
gunzip $TCZ/lib/modules/4.2.9-tinycore64/extra/*
strip $TCZ/lib/modules/4.2.9-tinycore64/extra/*
gzip $TCZ/lib/modules/4.2.9-tinycore64/extra/*
strip $TCZ/usr/local/lib/xtables/*
strip $TCZ/usr/local/lib/*.so*
strip $TCZ/usr/local/sbin/iptaccount
cp ~/xt_geoip_build.tcl $TCZ/usr/local/libexec/xtables-addons

sudo chown -R root.root $TCZ

mksquashfs $TCZ /tmp/$EXT/$EXT.tcz -noappend

